Full Integration Flow
Cash receipts are processed in the following order: Register/Void Request → NTS Batch Submission → Error List Inquiry.
Full Flow
Merchant
Hecto Financial
NTS
11. Cash receipt register/void request
1. Cash receipt register/void request
22. Respond with approval number and issuance date
2. Respond with approval number and issuance date
33. D+1 at 00:00, batch submit prior day records
3. D+1 at 00:00, batch submit prior day records
44. D+1 09:00–12:00, receive error records
4. D+1 09:00–12:00, receive error records
55. After 13:00, query issuance error list
5. After 13:00, query issuance error list
Error List Query Availability
The error list query availability time (after 13:00) may be delayed due to NTS processing.
Reprocessing Result Inquiry May Be Delayed
Depending on NTS processing conditions, the availability time for receiving and querying error records and reprocessing results may be delayed. If there is no result, query again after a while.
Step 1: Register / Void Cash Receipt
Request cash receipt registration or void from the merchant server.
| Environment | Domain |
|---|---|
| Sandbox | tcash.settlebank.co.kr |
| Production | cash.settlebank.co.kr |
Key Request Parameters for Registration
| Parameter | Description |
|---|---|
mid | Merchant ID |
assort | Approval type (0: Register, 1: Void) |
transNo | Unique merchant order number |
trDt | Transaction datetime (yyyyMMddHH24miss) |
amt | Supply value |
vat | VAT |
purpose | Purpose type (0: Income deduction, 1: Expense proof) |
identityGb | Registration number type (1: Card, 2: Resident registration number, 3: Business registration number, 4: Mobile phone number) |
identity | Cash receipt registration number |
Register / Void API Reference
Step 2: Issuance Error List Inquiry
Query the NTS processing result after 13:00 on D+1.
| Environment | Domain |
|---|---|
| Sandbox | tb-nspay.settlebank.co.kr |
| Production | nspay.settlebank.co.kr |
Inquiry API Reference
Reprocessing
If an issuance error occurs, it can be resubmitted via reprocessing.
Auto-Reprocessing Merchant
- Query the issuance error list after 13:00 on D+1.
- For errors eligible for auto-reprocessing, Hecto Financial generates the reprocessing data.
- The reprocessing data is batch-submitted to the NTS on D+2 based on the original transaction issuance date.
- After NTS processing, check the final result with the Reprocessing Result List Inquiry API.
General Merchant
- Query the issuance error list after 13:00 on D+1.
- Among the queried errors, request the ones requiring reprocessing via the Reprocessing Registration API.
- The reprocessing request data is batch-submitted to the NTS on D+2 based on the original transaction issuance date.
- After NTS processing, check the final result with the Reprocessing Result List Inquiry API.
Reprocessing API Reference
Need technical support?
Code Samples
HectoFinancial GitHub